public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: net-vpn/corkscrew/, net-vpn/corkscrew/files/
@ 2020-09-15 21:24 Robin H. Johnson
  0 siblings, 0 replies; only message in thread
From: Robin H. Johnson @ 2020-09-15 21:24 UTC (permalink / raw
  To: gentoo-commits

commit:     52dbb9774fa246374cd0f5a499e700e0c6a13aaf
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 15 21:21:52 2020 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Tue Sep 15 21:24:02 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52dbb977

net-vpn/corkscrew: EAPI7 bump

Closes: https://bugs.gentoo.org/652342
Closes: https://bugs.gentoo.org/742029
Package-Manager: Portage-3.0.1, Repoman-2.3.23
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 net-vpn/corkscrew/corkscrew-2.0-r1.ebuild          | 40 ++++++++++++++++++++++
 .../files/corkscrew-2.0-crlf-with-authfile.patch   | 12 +++++++
 net-vpn/corkscrew/metadata.xml                     |  3 ++
 3 files changed, 55 insertions(+)

diff --git a/net-vpn/corkscrew/corkscrew-2.0-r1.ebuild b/net-vpn/corkscrew/corkscrew-2.0-r1.ebuild
new file mode 100644
index 00000000000..cd46ea513c7
--- /dev/null
+++ b/net-vpn/corkscrew/corkscrew-2.0-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit eutils autotools
+
+DESCRIPTION="a tool for tunneling SSH through HTTP proxies"
+HOMEPAGE="https://github.com/patpadgett/corkscrew/"
+# This is the old distfile URL; the github site does not have exact matching
+# checksum, but the content is otherwise identical.
+SRC_URI="http://www.agroman.net/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~sparc ~x86"
+IUSE=""
+
+DOCS="AUTHORS ChangeLog README TODO"
+
+src_prepare() {
+	# Fix \r\n per bug 652342
+	eapply "${FILESDIR}/${P}-crlf-with-authfile.patch"
+
+	# Christoph Mende <angelos@gentoo.org (23 Jun 2010)
+	# Shipped configure doesn't work with some locales (bug #305771)
+	# Shipped missing doesn't work with new configure, so we'll force
+	# regeneration
+	rm -f install-sh missing mkinstalldirs || die
+
+	# Samuli Suominen <ssuominen@gentoo.org> (24 Jun 2012)
+	# AC_HEADER_STDC is called separately and #include <string.h> is
+	# without #ifdef in corkscrew.c. Instead of using AC_C_PROTOTYPES,
+	# remove the call entirely as unused wrt bug #423193
+	sed -i -e 's:AM_C_PROTOTYPES:dnl &:' configure.in || die
+
+	mv configure.{in,ac} || die
+
+	eautoreconf
+	default
+}

diff --git a/net-vpn/corkscrew/files/corkscrew-2.0-crlf-with-authfile.patch b/net-vpn/corkscrew/files/corkscrew-2.0-crlf-with-authfile.patch
new file mode 100644
index 00000000000..1e750bc7411
--- /dev/null
+++ b/net-vpn/corkscrew/files/corkscrew-2.0-crlf-with-authfile.patch
@@ -0,0 +1,12 @@
+diff -ur corkscrew-2.0/corkscrew.c corkscrew-2.0.new/corkscrew.c
+--- corkscrew-2.0/corkscrew.c	2001-08-23 14:27:32.000000000 -0400
++++ corkscrew-2.0.new/corkscrew.c	2018-04-03 11:06:53.268025605 -0400
+@@ -219,7 +219,7 @@
+ 	strncat(uri, destport, sizeof(uri) - strlen(uri) - 1);
+ 	strncat(uri, " HTTP/1.0", sizeof(uri) - strlen(uri) - 1);
+ 	if ((argc == 6) || (argc == 7)) {
+-		strncat(uri, "\nProxy-Authorization: Basic ", sizeof(uri) - strlen(uri) - 1);
++		strncat(uri, "\r\nProxy-Authorization: Basic ", sizeof(uri) - strlen(uri) - 1);
+ 		strncat(uri, base64_encode(up), sizeof(uri) - strlen(uri) - 1);
+ 	}
+ 	strncat(uri, linefeed, sizeof(uri) - strlen(uri) - 1);

diff --git a/net-vpn/corkscrew/metadata.xml b/net-vpn/corkscrew/metadata.xml
index a36bf94641e..d0dda636d40 100644
--- a/net-vpn/corkscrew/metadata.xml
+++ b/net-vpn/corkscrew/metadata.xml
@@ -5,4 +5,7 @@
 	<email>sysadmin@gentoo.org</email>
 	<name>Gentoo Sysadmin Project</name>
 </maintainer>
+<longdescription lang="ja">
+Corkscrew は HTTP プロクシ経由の SSH トンネルを構築するツールです。
+</longdescription>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2020-09-15 21:24 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-09-15 21:24 [gentoo-commits] repo/gentoo:master commit in: net-vpn/corkscrew/, net-vpn/corkscrew/files/ Robin H. Johnson

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox